# Windows Application Runtime

## Download

* [**Download the current runtime**](https://storage.googleapis.com/downloads.eyepop.ai/sdk/windows/preview/EyePop.ai%20Edge%20SDK%202.11.0%20\(Draft%2011%2C%20Production%20-%20README%20updates\).exe)
* This runtime is designed for **Windows machines** running with the **Snapdragon® X Elite Processor**.

## Start Up

After configuration, the **EyePop.ai Windows Runtime** can be launched in four ways:

* **Start Menu shortcut** (if installed)
* **Desktop shortcut** (if installed)
* **Using `launch_instance.bat`**, located in the install directory:\
  `%LOCALAPPDATA%\Programs\EyePop.ai Edge SDK\` (default)
* **Manually setting environment variables** (same as in `launch_instance.bat`) and executing:

  ```batch
  %LOCALAPPDATA%\Programs\EyePop.ai Edge SDK\root\clangarm64\bin\eyepop-instance.exe
  ```

## Set Developer Environment for Running EyePop.ai Locally

### Powershell

```powershell
$env:EYEPOP_API_KEY = "<Your API Key>"
$env:EYEPOP_LOCAL_MODE = "True"
```

OR

### Command Prompt

```command
set EYEPOP_API_KEY=<Your API Key>
set EYEPOP_LOCAL_MODE=True
```

## Test Your Environment: Finding a Person in an Image

1. Setup main.py

* Create a Python script (main.py) with the following code:

### Python main.py

```python
from eyepop import EyePopSdk
from eyepop.worker.worker_types import Pop, InferenceComponent
import json

example_image_path = './example.jpg'

with EyePopSdk.workerEndpoint() as endpoint:
    endpoint.set_pop(Pop(
        components=[InferenceComponent(
            model='eyepop.person:latest'
        )]
    ))

    result = endpoint.upload(example_image_path).predict()
    print(result)
```

2. **Install Python & Dependencies**
   * Ensure Python is installed on your system.
   * If not already done, install dependencies:

     ```powershell
     python -m venv .venv
     source .venv/bin/activate
     pip install eyepop
     ```
3. Add an Example Image

* Place an image file named example.jpg in the same directory as main.py

4. Run main.py

* `python main.py`

### Example Output: (json)

```json
{
  "objects": [
    {
      "category": "person",
      "classId": 0,
      "classLabel": "person",
      "confidence": 0.9326,
      "height": 585.182,
      "id": 3,
      "orientation": 0,
      "width": 796.875,
      "x": 3.125,
      "y": 2.316
    }
  ],
  "seconds": 0,
  "source_height": 593,
  "source_id": "e56b9d79-e945-11ef-bf52-86fa66b87b23",
  "source_width": 800,
  "system_timestamp": 1739367188458980000,
  "timestamp": 0
}
```

## Configuration & Logs

* **Configuration files:**\
  `%LOCALAPPDATA%\EyePop.ai Edge SDK\`
* **Log files:**\
  `%LOCALAPPDATA%\EyePop.ai Edge SDK\log\`

## Need Help?

For troubleshooting or support, contact us:

* 📧 **Email:** <help@eyepop.ai>
* 💬 **Join our Discord:** <https://discord.gg/qhwdZsTfuZ>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eyepop.ai/developer-documentation/deployment/windows-application-runtime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
